import {useState} from 'react';
import './Spoiler.css';

const Spoiler = ({header = '+', open, children}) => {
    const [isOpen, setIsOpen] = useState(open);

    return (
        <div>
            <div onClick={() => {
                setIsOpen(!isOpen);
            }}>
                <span>{header}</span>
                {isOpen && (
                    <div>
                        {children}
                    </div>
                )}
            </div>
        </div>
    );
};

export default Spoiler;