import React from 'react';
import './PasswordConfirm.css';

class PasswordConfirm extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            password: '',
            passwordConfirm: '',
        };
    }

    inputChange = (e) => {
        this.setState({[e.target.name]: e.target.value})
    };

    render() {
        const {min} = this.props;
        const arePasswordsEqual = this.state.password === this.state.passwordConfirm;
        const hasErrorPsw = this.state.password.length < min || !arePasswordsEqual;
        const hasErrorPswConfirm = this.state.passwordConfirm.length < min || !arePasswordsEqual;

        return (
            <div className="PasswordConfirmWrapper">
                <input placeholder={'password'}
                       name={'password'}
                       type={'password'}
                       className={hasErrorPsw ? 'error' : ''}
                       onChange={this.inputChange}
                />
                <input placeholder={'confirm password'}
                       name={'passwordConfirm'}
                       type={'password'}
                       className={hasErrorPswConfirm ? 'error' : ''}
                       onChange={this.inputChange}/>
            </div>
        );
    }
}

export default PasswordConfirm;