import {useEffect, useState} from 'react';

const TimerContainer = (props) => {
    const [mseconds, setMSeconds] = useState(props.seconds * 1000);
    const [isPaused, setIsPaused] = useState(false);

    const onBtnPauseClick = () => {
        setIsPaused(!isPaused);
    };

    useEffect(() => {
        let timer;
        if (mseconds > 0 && isPaused === false) {
            timer = setTimeout(() => setMSeconds(mseconds - props.refresh), props.refresh);
        }
        return () => {
            clearTimeout(timer);
        };
    }, [mseconds, isPaused, props.refresh]);

    return (
        <div>
            <div>
                {props.renderComponents.map((Component) => {
                    return (
                        <Component
                            currentSec={mseconds}
                            initialSec={props.seconds * 1000}>
                            {Component}
                        </Component>);
                })}
            </div>
            <button
                className="buttonForTimer"
                onClick={onBtnPauseClick}>
                {isPaused ? 'Resume' : 'Pause'}
            </button>
        </div>
    );
};

export default TimerContainer;